package com.huawei.multisimservice;
import com.huawei.multisimservice.model.IOpenMultiSimCallback2;

interface IOpenMultiSim2 {

    /**
     *  注册回调方法
     * @param callback  回调方法
     * @return
     */
    void registerCallback(IOpenMultiSimCallback2 callback);

    /**
     * 去注册回调方法
     * @param callback  回调方法
     * @return
     */
    void unRegisterCallback(IOpenMultiSimCallback2 callback);

    /**
     * 获取Sim卡信息，服务端回调IOpenMultiSimCalbcak.getDeviceMultiSimInfo()方法返回Sim卡信息
     * @param
     * @return
     */
    void getAttachedDeviceMultiSimInfo();

    /**
     * 下载eSIM Profile请求
     * @param activationCode  ac Code
     * @return
     */
    void downloadESimProfileAndPhonenumber(String activationCode,String eid, String iccid, String phoneNumber);
}
